Debian DSA-1745-1 : lcms - several vulnerabilities

high Nessus Plugin ID 35967

Synopsis

The remote Debian host is missing a security-related update.

Description

Several security issues have been discovered in lcms, a color management library. The Common Vulnerabilities and Exposures project identifies the following problems :

- CVE-2009-0581 Chris Evans discovered that lcms is affected by a memory leak, which could result in a denial of service via specially crafted image files.

- CVE-2009-0723 Chris Evans discovered that lcms is prone to several integer overflows via specially crafted image files, which could lead to the execution of arbitrary code.

- CVE-2009-0733 Chris Evans discovered the lack of upper-bounds check on sizes leading to a buffer overflow, which could be used to execute arbitrary code.

Solution

Upgrade the lcms packages.

For the stable distribution (lenny), these problems have been fixed in version 1.17.dfsg-1+lenny1.

For the oldstable distribution (etch), these problems have been fixed in version 1.15-1.1+etch2.

See Also

https://security-tracker.debian.org/tracker/CVE-2009-0581

https://security-tracker.debian.org/tracker/CVE-2009-0723

https://security-tracker.debian.org/tracker/CVE-2009-0733

https://www.debian.org/security/2009/dsa-1745

Plugin Details

Severity: High

ID: 35967

File Name: debian_DSA-1745.nasl

Version: 1.17

Type: local

Agent: unix

Published: 3/20/2009

Updated: 1/4/2021

Supported Sensors: Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 6.9

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:lcms, cpe:/o:debian:debian_linux:4.0, cpe:/o:debian:debian_linux:5.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Ease: No known exploits are available

Patch Publication Date: 3/20/2009

Reference Information

CVE: CVE-2009-0581, CVE-2009-0723, CVE-2009-0733

BID: 34185

DSA: 1745

CWE: 119, 189, 399